petsc-3.7.7 2017-09-25
Report Typos and Errors

# PCMGSetR

Sets the vector space to be used to store the residual on a particular level.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  PCMGSetR(PC pc,PetscInt l,Vec c)

Logically Collective on PC and Vec

### Input Parameters

| pc | - the multigrid context
| l | - the level (0 is coarsest) this is to be used for
| c | - the space

Notes: If this is not provided PETSc will automatically generate one.

You do not need to keep a reference to this vector if you do not need it PCDestroy() will properly free it.

### Keywords

MG, multigrid, set, residual, level

Level:advanced
Location:src/ksp/pc/impls/mg/mgfunc.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages